Get virtual key quota

Returns the overall budget and rate limit quota for the authenticated virtual key, as well as per-provider budgets and rate limits. This is a self-service endpoint - no admin authentication required. The virtual key value itself (provided via header) is the credential.

GET
/api/governance/virtual-keys/quota
x-bf-vk<token>

FinOps Virtual Key for governance, routing, and access control. Supported on all inference endpoints (/v1/*, /openai/*, /anthropic/*, /bedrock/*, /cohere/*, /genai/*, /langchain/*, /litellm/*, /pydanticai/*, /mcp), not on management APIs (/api/*). Example: sk-bf-* prefixed keys.

In: header

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/governance/virtual-keys/quota"
{
  "virtual_key_name": "string",
  "is_active": true,
  "budgets": [
    {
      "id": "string",
      "max_limit": 0,
      "reset_duration": "string",
      "calendar_aligned": false,
      "last_reset": "2019-08-24T14:15:22Z",
      "current_usage": 0,
      "config_hash": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "rate_limit": {
    "id": "string",
    "token_max_limit": 0,
    "token_reset_duration": "string",
    "token_current_usage": 0,
    "token_last_reset": "2019-08-24T14:15:22Z",
    "request_max_limit": 0,
    "request_reset_duration": "string",
    "request_current_usage": 0,
    "request_last_reset": "2019-08-24T14:15:22Z",
    "config_hash": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "provider_configs": [
    {
      "id": 0,
      "virtual_key_id": "string",
      "provider": "string",
      "weight": 0,
      "allowed_models": [
        "string"
      ],
      "blacklisted_models": [
        "string"
      ],
      "allow_all_keys": true,
      "rate_limit_id": "string",
      "budgets": [
        {
          "id": "string",
          "max_limit": 0,
          "reset_duration": "string",
          "calendar_aligned": false,
          "last_reset": "2019-08-24T14:15:22Z",
          "current_usage": 0,
          "config_hash": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "rate_limit": {
        "id": "string",
        "token_max_limit": 0,
        "token_reset_duration": "string",
        "token_current_usage": 0,
        "token_last_reset": "2019-08-24T14:15:22Z",
        "request_max_limit": 0,
        "request_reset_duration": "string",
        "request_current_usage": 0,
        "request_last_reset": "2019-08-24T14:15:22Z",
        "config_hash": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "keys": [
        {
          "id": 0,
          "name": "string",
          "provider_id": 0,
          "provider": "string",
          "key_id": "string",
          "value": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "models": [
            "string"
          ],
          "weight": 0,
          "enabled": true,
          "use_for_batch_api": false,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "config_hash": "string",
          "azure_endpoint": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "azure_client_id": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "azure_client_secret": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "azure_tenant_id": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "vertex_project_id": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "vertex_project_number": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "vertex_region": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "vertex_auth_credentials": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "bedrock_access_key": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "bedrock_secret_key": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "bedrock_session_token": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "bedrock_region": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          },
          "bedrock_arn": {
            "value": "string",
            "env_var": "string",
            "from_env": true
          }
        }
      ]
    }
  ]
}
{
  "error": "string"
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings